@font-face {
  font-family: "BIZUDGothic-Regular";
  font-weight: normal;
  src: local("BIZ UDGothic"),
    url("/GoodMotivation/fonts/BIZUDGothic-Bold.ttf") format("truetype");
}

@font-face {
  font-family: "BIZUDGothic-Bold";
  font-weight: bold;
  src: local("BIZ UDGothic"),
    url("/GoodMotivation/fonts/BIZUDGothic-Bold.ttf") format("truetype");
}

body {
  font-family: "BIZUDGothic-Regular", "BIZUDGothic-Bold";
  background-image: url("/GoodMotivation/img/GM_enquete.jpg");
  background-attachment: fixed;
  background-size: 100% 100%;
}

.container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100svh;
  min-width: 855px;
  min-height: 650px;
}

.main-title {
  color: #ffffff;
  font-size: 40px;
}

.lead {
  font-size: 28px;
}

.message-list {
  list-style-type: none;
}

/* ガラス本体 */
.glass {
  padding-top: 30px;
  background-color: rgba(255, 255, 255, 0.925);
  /* 背景色 */
  border-right-color: rgba(255, 255, 255, 0.2);
  border-bottom-color: rgba(255, 255, 255, 0.2);
  border-radius: 15px;
  backdrop-filter: blur(1px);
}

/* ガラス内の要素 */
.glass h1 {
  text-align: center;
  color: #000000;
  font-size: 50px;
  font-weight: bold;
  letter-spacing: 0.06em;
}

.glass p {
  text-align: center;
  color: #000000;
  font-size: 16px;
}

.white-card {
  padding: 40px 30px 40px 30px;
  margin-top: 50px;
  background-color: rgba(255, 255, 255, 0.925);
  /* 背景色 */
  border-right-color: rgba(255, 255, 255, 0.2);
  border-bottom-color: rgba(255, 255, 255, 0.2);
  border-radius: 15px;
  height: 100%;
}

/* ガラス内の要素 */
.white-card h1 {
  text-align: center;
  color: #000000;
  font-size: 40px;
  font-weight: bold;
  letter-spacing: 0.06em;
}

.white-card p {
  text-align: center;
  color: #000000;
  font-size: 16px;
}

.footer {
  margin-top: 50px;
  padding-top: 20px;
  padding-bottom: 20px;
  background-color: #ffe5e5;
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
}

.button {
  width: 250px;
  font-size: 12px;
  color: #ffffff;
  text-align: center;
  padding: 10px 0 10px;
  background: #42b594;
  border-radius: 20px;
  border: none;
  cursor: pointer;
}

.button:after {
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f138";
  margin-left: 5px;
}

.footer-small {
  color: #f11f1c;
  text-align: center;
  font-size: 16px;
}

.logo-white-card {
  margin-left: 50px;
  margin-right: 50px;
}

.company-name {
  text-align: right;
  word-break: keep-all;
}

.white-card-small {
  text-align: center;
  font-size: 16px;
  margin-top: 30px;
}

.logo-image {
  height: 70px;
}

.footer-small {
  padding-inline: 10px;
}

@media screen and (max-width: 880px) {
  .container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100svh;
    min-width: 0px;
    min-height: 0px;
  }

  .footer {
    margin-top: 10px;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-inline: 10px;
  }

  .white-card {
    padding: 40px 30px 40px 30px;
    margin-top: 20px;
  }

  .company-name {
    text-align: right;
    overflow-wrap: break-word;
    width: 350px;
  }
}

@media screen and (max-width: 580px) {
  .row {
    padding: 10px;
  }

  .glass p {
    font-size: 13px;
  }

  .container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100svh;
    min-width: 0px;
    min-height: 0px;
  }

  .white-card {
    padding: 12px 10px 12px 10px;
    margin-top: 15px;
  }

  .white-card h1 {
    font-size: 23px;
  }

  .white-card-small {
    font-size: 11px;
    margin-top: 10px;
  }

  .glass {
    padding-top: 15px;
  }

  .footer {
    margin-top: 15px;
    padding-top: 5px;
    padding-bottom: 5px;
  }

  .footer-small {
    color: #f11f1c;
    text-align: center;
    font-size: 12px;
    padding-inline: 5px;
  }

  .message-list {
    padding-inline: 10px;
    list-style-type: none;
    font-size: 14px;
    align-content: center;
    text-align: center;
  }

  .glass p {
    font-size: 13px;
    padding-inline: 10px;
  }

  .button {
    font-size: 13px;
  }

  .logo-white-card {
    margin-left: 15px;
    margin-right: 15px;
  }

  .company-name {
    font-size: 12px;
    width: 150px;
    overflow-wrap: break-word;
  }
}

@media screen and (max-width: 385px) {
  .logo-white-card {
    margin-left: 10px;
    margin-right: 10px;
  }

  .logo-image {
    height: 60px;
  }

  .white-card h1 {
    font-size: 16px;
  }

  .white-card-small {
    font-size: 11px;
    margin-top: 10px;
  }

  .glass p {
    font-size: 11px;
    padding-inline: 10px;
  }

  .button {
    font-size: 12px;
  }

  .footer-small {
    font-size: 12px;
  }

  .company-name {
    font-size: 10px;
  }
}

@media screen and (max-width: 330px) {
  .company-name {
    font-size: 9px;
  }

  .white-card-small {
    font-size: 11px;
    margin-top: 10px;
  }

  .glass p {
    font-size: 10px;
    padding-inline: 10px;
  }

  .button {
    font-size: 11px;
  }

  .footer-small {
    font-size: 11px;
  }
}
